import request from '@/utils/request'

// 查询订单设备列表
export function listOrderDevice(query) {
  return request({
    url: '/bst/orderDevice/list',
    method: 'get',
    params: query
  })
}

// 查询订单设备详细
export function getOrderDevice(id) {
  return request({
    url: '/bst/orderDevice/' + id,
    method: 'get'
  })
}

// 新增订单设备
export function addOrderDevice(data) {
  return request({
    url: '/bst/orderDevice',
    method: 'post',
    data: data
  })
}

// 修改订单设备
export function updateOrderDevice(data) {
  return request({
    url: '/bst/orderDevice',
    method: 'put',
    data: data
  })
}

// 删除订单设备
export function delOrderDevice(id) {
  return request({
    url: '/bst/orderDevice/' + id,
    method: 'delete'
  })
}
